Foreman Remote Execution - Bug #23891

Community Job Templates are not assigned to all orgs by default
06/12/2018 05:27 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Foreman

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1583481 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman_r

emote_execution/pull/357

Description

The problem is, we don't put seeded templates under any org/loc. Core does it for provisioning and ptables.

Description of problem:
When | try to run "Run ansible roles" for apply assigned roles, | get this error message

"ERF42-5962 [Foreman::Exception]: No template mapped to feature Ansible: Run host roles"

Version-Release number of selected component (if applicable):
ansible-2.5.2-1.el7ae.noarch
tfm-rubygem-foreman_ansible-2.1.2.0.1-1.el7sat.noarch
tfm-rubygem-foreman_ansible_core-2.0.2-1.el7sat.noarch
rubygem-smart_proxy_ansible-2.0.2-3.el7sat.noarch
ansiblerole-insights-client-1.5-1.el7sat.noarch

The template has not been assigned to all organizations by default

How reproducible:
100%

Steps to Reproduce:

1. Import role to Sat6.4

2. Assign this role to host

3. Press button "Run ansible roles"

Actual results:
"ERF42-5962 [Foreman::Exception]: No template mapped to feature Ansible: Run host roles”

Expected results:
No error; the role will be apply to host

Related issues:
Related to Foreman - Refactor #23939: Template "default" should cause templat... New

Copied from Ansible - Bug #23742: Community Job Templates are not assigned to... Closed

06/14/2018
05/30/2018

Associated revisions

Revision 42f3cc3c - 06/14/2018 01:36 PM - Marek Hulan

Fixes #23891 - share all templates to all taxonomies (#357)

History

#1 - 06/12/2018 05:27 AM - Marek Hulan
- Copied from Bug #23742: Community Job Templates are not assigned to all orgs by default added

#2 - 06/12/2018 05:30 AM - The Foreman Bot

05/20/2024

1/2




- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_remote_execution/pull/357 added

#3 - 06/14/2018 02:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset foreman_plugin|42f3cc3ca6f0c2adc5e760e01458f94f35fe3ed1.

#4 - 06/14/2018 02:11 PM - Stephen Benjamin

- Related to Refactor #23939: Template "default" should cause templates to be seeded into all existing orgs and future ones added

05/20/2024 22
